注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

笑遍世界@网易博客

明天还会在路上……

 
 
 

日志

 
 
关于我

Stay hungry, stay foolish. 工作用脑,生活用心! 走过山重水复,必然迎来柳暗花明! 受苦的人没有悲观的权利,远征的人没有流泪的资格。 Live each day as if we should die tomorrow.

网易考拉推荐
 
 

Eclipse:Could not create the view: Plug-in org.eclipse.jdt.ui was unable to load class org.eclipse.jdt.internal.ui.packageview.PackageExplorerPart. 解决方法  

2010-05-25 09:28:05|  分类: 软件使用 |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |
使用Eclipse时,遇到了如下的异常,工作空间(workspace)打不开:Could not create the view: Plug-in org.eclipse.jdt.ui was unable to load class  org.eclipse.jdt.internal.ui.packageview.PackageExplorerPart.***
我Google了N次,没有找到答案。
今天上午灵光一现,我换了一个workspace,就能正常打开了,不会有上面的报错了。我就想到应该是两个不同的workspace是有区别的,我到报错的workspace中看,发现有个".metadata"文件夹,里面有200多M的东东,应该是该workspace的一些属性信息,所以我删除了.metadata文件夹,然后重新打开Eclipse进入这个workspace,就可以正常工作了。Eclipse重新加载该workspace时,会重新生成.metadata的。
总之,解决方案就是:删除workspace下的.metadata文件夹,重新打开Eclipse就OK了。
  评论这张
 
阅读(9753)| 评论(11)
推荐 转载

历史上的今天

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2017